import request from '@/utils/request'

// 查询审核列表
export function listAudit(query) {
  return request({
    url: '/assets/audit/list',
    method: 'get',
    params: query
  })
}

// 查询审核详细
export function getAudit(id) {
  return request({
    url: '/assets/audit/' + id,
    method: 'get'
  })
}

// 新增审核
export function addAudit(data) {
  return request({
    url: '/assets/audit',
    method: 'post',
    data: data
  })
}

// 修改审核
export function updateAudit(data) {
  return request({
    url: '/assets/audit',
    method: 'put',
    data: data
  })
}

// 删除审核
export function delAudit(id) {
  return request({
    url: '/assets/audit/' + id,
    method: 'delete'
  })
}

// 导出审核
export function exportAudit(query) {
  return request({
    url: '/assets/audit/export',
    method: 'get',
    params: query
  })
}